import { BusquedasService } from './busquedas.service';
import { Busquedas } from './busquedas.entity';
import { CreateBusquedasDto } from './dto/create-busquedas.dto';
import { UpdateBusquedasDto } from './dto/update-busquedas.dto';
export declare class BusquedasController {
    private busquedasService;
    constructor(busquedasService: BusquedasService);
    get(): Promise<import("@nestjs/common").HttpException | {
        created_at: string;
        updated_at: string;
        user: {
            created_at: string;
            updated_at: string;
            id: number;
            correo: string;
            password: string;
            nombre?: string;
            apellido?: string;
            token?: string;
            imagen?: string;
            telefono?: string;
            updated_at_token: Date;
            deleted_at?: Date;
            perfil_id: number;
            perfil: import("../perfil/perfil.entity").Perfil;
            inmuebles: import("../inmueble/inmueble.entity").Inmueble[];
            favoritos: import("../favoritos/favoritos.entity").Favoritos[];
            busquedas: Busquedas[];
        };
        id: number;
        nombre: string;
        filtros: number;
        deleted_at: Date;
        user_id: number;
    }[]>;
    getBusquedaById(id: number): Promise<import("@nestjs/common").HttpException | {
        created_at: string;
        updated_at: string;
        user: {
            created_at: string;
            updated_at: string;
            id: number;
            correo: string;
            password: string;
            nombre?: string;
            apellido?: string;
            token?: string;
            imagen?: string;
            telefono?: string;
            updated_at_token: Date;
            deleted_at?: Date;
            perfil_id: number;
            perfil: import("../perfil/perfil.entity").Perfil;
            inmuebles: import("../inmueble/inmueble.entity").Inmueble[];
            favoritos: import("../favoritos/favoritos.entity").Favoritos[];
            busquedas: Busquedas[];
        };
        id: number;
        nombre: string;
        filtros: number;
        deleted_at: Date;
        user_id: number;
    }>;
    createBusqueda(newBusqueda: CreateBusquedasDto): Promise<Busquedas | import("@nestjs/common").HttpException>;
    updateBusqueda(id: number, busqueda: UpdateBusquedasDto): Promise<import("@nestjs/common").HttpException | (Busquedas & UpdateBusquedasDto)>;
    deleteBusqueda(id: number): Promise<import("@nestjs/common").HttpException | import("typeorm").UpdateResult>;
}
